From 23c9a1c3288c4e78255f133a4d9c48f5842e03e6 Mon Sep 17 00:00:00 2001
From: Kailang Yang <kailang@realtek.com>
Date: Fri, 26 Apr 2019 17:16:48 +0800
Subject: [PATCH] ALSA: hda/realtek - Move EPAD by verb function

alc_fill_eapd_coef(),this function was change EAPD control to default.
Default was set EAPD by verb control.
This function was run in ACT_INIT state.
Move it to ACT_PRE_PROBE above. It will have a chance to change EAPD control
on ACT_PRE_PROBE state. It could change control by 0x20 coef bit.

Signed-off-by: Kailang Yang <kailang@realtek.com>

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 1d0e0f2e6526..7553f704cb7f 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -501,7 +501,6 @@ static void alc_eapd_shutup(struct hda_codec *codec)
 /* generic EAPD initialization */
 static void alc_auto_init_amp(struct hda_codec *codec, int type)
 {
-	alc_fill_eapd_coef(codec);
 	alc_auto_setup_eapd(codec, true);
 	alc_write_gpio(codec);
 	switch (type) {
@@ -1085,6 +1084,7 @@ static int alc_alloc_spec(struct hda_codec *codec, hda_nid_t mixer_nid)
 		return -ENOMEM;
 	codec->spec = spec;
 	snd_hda_gen_spec_init(&spec->gen);
+	alc_fill_eapd_coef(codec);
 	spec->gen.mixer_nid = mixer_nid;
 	spec->gen.own_eapd_ctl = 1;
 	codec->single_adc_amp = 1;
